Get lists
https://{kibana_url}
- GET /api/lists/_find
- GET /s/{space_id}/api/lists/_find
Refer to Spaces for more information.
Get a paginated subset of lists. By default, the first page is returned, with 20 results per page.
Query Parameters
-
pageinteger The page number to return
-
per_pageinteger The number of lists to return per page
-
sort_fieldstring · min: 1 Determines which field is used to sort the results
-
cursorstring · min: 1 Returns the list that come after the last list returned in the previous call (use the cursor value returned in the previous call). This parameter uses the
tie_breaker_idfield to ensure all lists are sorted and returned correctly.-
filterstring Filters the returned results according to the value of the specified field, using the
Responses
Successful response
-
cursorstring · min: 1required -
A string that does not contain only whitespace characters
-
dataobjectrequired -
_versionstring -
@timestampstring -
created_atstringrequired -
created_bystringrequired -
descriptionstring · min: 1required -
A string that does not contain only whitespace characters
-
idstring · min: 1required -
A string that does not contain only whitespace characters
-
immutablebooleanrequired -
metaobject -
namestring · min: 1required -
A string that does not contain only whitespace characters
-
tie_breaker_idstringrequired -
typerequired -
Values:
binarybooleanbytedatedate_nanosdate_rangedoubledouble_rangefloatfloat_rangegeo_pointgeo_shapehalf_floatintegerinteger_rangeipip_rangekeywordlonglong_rangeshapeshorttext -
updated_atstringrequired -
updated_bystringrequired -
versioninteger · min: 1required -
pageinteger · min: 0required -
per_pageinteger · min: 0required -
totalinteger · min: 0required
Invalid input data response
-
errorstringrequired -
messagestringrequired -
statusCodeintegerrequired
-
messagestringrequired -
status_codeintegerrequired
Unsuccessful authentication response
-
errorstringrequired -
messagestringrequired -
statusCodeintegerrequired
Not enough privileges response
-
errorstringrequired -
messagestringrequired -
statusCodeintegerrequired
Internal server error response
-
messagestringrequired -
status_codeintegerrequired